POST v1/ss_roster/UpdateEmployee

Request Information

URI Parameters

None.

Body Parameters

UpdateEmployeeReq
NameDescriptionTypeAdditional information
user_id

integer

None.

name

string

None.

mobile

string

None.

ID_number

string

None.

account_nature

string

None.

department_id

string

None.

jobtype

string

None.

contract_type

string

None.

entry_time

string

None.

bank

string

None.

banknum

string

None.

bank_province

string

None.

bank_city

string

None.

salary

string

None.

zhuanxiang

ZhuanxiangReq

None.

updatetype

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "user_id": 1,
  "name": "sample string 2",
  "mobile": "sample string 3",
  "ID_number": "sample string 4",
  "account_nature": "sample string 5",
  "department_id": "sample string 6",
  "jobtype": "sample string 7",
  "contract_type": "sample string 8",
  "entry_time": "sample string 9",
  "bank": "sample string 10",
  "banknum": "sample string 11",
  "bank_province": "sample string 12",
  "bank_city": "sample string 13",
  "salary": "sample string 14",
  "zhuanxiang": {
    "children_education": 1.0,
    "continuing_education": 2.0,
    "support_parent": 3.0,
    "buy_house": 4.0,
    "renting_house": 5.0,
    "serious_illness": 6.0
  },
  "updatetype": 15
}

application/xml, text/xml

Sample:
<UpdateEmployeeReq xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Qy.api.Models.Request">
  <ID_number>sample string 4</ID_number>
  <account_nature>sample string 5</account_nature>
  <bank>sample string 10</bank>
  <bank_city>sample string 13</bank_city>
  <bank_province>sample string 12</bank_province>
  <banknum>sample string 11</banknum>
  <contract_type>sample string 8</contract_type>
  <department_id>sample string 6</department_id>
  <entry_time>sample string 9</entry_time>
  <jobtype>sample string 7</jobtype>
  <mobile>sample string 3</mobile>
  <name>sample string 2</name>
  <salary>sample string 14</salary>
  <updatetype>15</updatetype>
  <user_id>1</user_id>
  <zhuanxiang>
    <buy_house>4</buy_house>
    <children_education>1</children_education>
    <continuing_education>2</continuing_education>
    <renting_house>5</renting_house>
    <serious_illness>6</serious_illness>
    <support_parent>3</support_parent>
  </zhuanxiang>
</UpdateEmployeeReq>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.